#
# Conditional build:
%bcond_with	bootstrap	# without full regeneration

%include	/usr/lib/rpm/macros.perl
Summary:	GNU automake - Makefile configuration tools
Summary(de.UTF-8):	GNU automake - Makefile-Konfigurationstools
Summary(es.UTF-8):	GNU automake - herramientas de configuración de Makefile
Summary(fr.UTF-8):	automake de GNU - Outils de configuration des makefiles
Summary(ko.UTF-8):	스스로 Makefile을 만들어주는 GNU 도구
Summary(pl.UTF-8):	GNU Automake - generator plików Makefile
Summary(pt_BR.UTF-8):	GNU automake - ferramentas de configuração de Makefile
Summary(ru.UTF-8):	GNU automake - инструменты для автоматической генерации Makefile'ов
Summary(tr.UTF-8):	Makefile yapılandırma araçları
Summary(uk.UTF-8):	GNU automake - інструменти для автоматичної генерації Makefile'ів
Name:		automake
Version:	1.14
Release:	2
Epoch:		1
License:	GPL v2+
Group:		Development/Building
Source0:	http://ftp.gnu.org/gnu/automake/%{name}-%{version}.tar.xz
# Source0-md5:	cb3fba6d631cddf12e230fd0cc1890df
Patch0:		%{name}-info.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-no_versioned_dir.patch
Patch3:		%{name}-morearchs.patch
URL:		http://sources.redhat.com/automake/
BuildRequires:	autoconf >= 2.69
%if %{without bootstrap}
BuildRequires:	automake >= 1:1.14
%endif
BuildRequires:	help2man
BuildRequires:	rpm-perlprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo >= 4.9
BuildRequires:	xz
Requires(pre):	fileutils
Requires:	filesystem >= 3.0-2
Requires:	perl(File::Glob)
%if %(%{__perl} -le 'use threads; print 1' || echo 0)
# required only if perl was built with threads
Requires:	perl(Thread::Queue)
Requires:	perl(threads)
%endif
Conflicts:	autoconf < 2.65
Conflicts:	libtool < 2:1.5-11
Conflicts:	texinfo < 4.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

%description -l de.UTF-8
Automake ist ein experimenteller Makefile-Generator, inspiriert durch
die 4.4BSD-Make und Include-Dateien, der jedoch auf Portabilität und
Konformität mit den GNU-Standards für Makefile-Variable und Targets
abzielt.

%description -l es.UTF-8
Automake es un creador experimental de Makefiles. Fue inspirado en el
4.4BSD make y incluye archivos, pero visa ser portátil y compatible
con los padrones GNU para variables y dianas de Makefile.

%description -l fr.UTF-8
automake est un générateur expérimental de makefiles. Il a été inspiré
par le make de BSD 4.4, mais se veut portable et conforme aux
standards GNU pour les variables et les cibles des makefiles.

%description -l pl.UTF-8
Automake jest eksperymentalnym generatorem plików Makefile'a.
Narzędzie to jest wzorowane na make i plikach nagłówkowych z systemu
4.4BSD. Umożliwia ono generowanie plików Makefile w oderwaniu od
platformy systemowej będąc jednocześnie zgodnym ze standardami GNU.

%description -l pt_BR.UTF-8
Automake é um gerador experimental de Makefiles. Ele foi inspirado
pelo 4.4BSD make e inclui arquivos, mas visa ser portável e compatível
com os padrões GNU para variáveis e alvos de Makefile.

%description -l ru.UTF-8
Automake - это экспериментальный генератор Makefile'ов. Идея была
навеяна программой make и хедерами из 4.4BSD, но automake претендует
на то, чтобы быть портабельной и соответствовать стандартам GNU на
переменные и цели Makefile'ов.

%description -l tr.UTF-8
Automake deneysel bir Makefile üreticisidir. 4.4BSD make ve include
dosyalarından esinlenilmistir, ama amaç taşınabilir olmak ve Makefile
değişkenleri ve hedefleri için GNU standartlarına uyum göstermektir.

%description -l uk.UTF-8
Automake - це експериментальний генератор Makefile'ів. Ідея була
навіяна програмою make та хедерами з 4.4BSD, але automake має за ціль
мобільність та відповідність стандартам GNU на змінні ті цілі
Makefile'ів.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%if %{without bootstrap}
# prepare temporary copy of m4 dir without amversion.m4 (which causes automake version check)
mkdir m4-tmp
cd m4-tmp
ln -s ../m4/[!a]*.m4 ../m4/a[!m]*.m4 .
%endif

%build
%if %{without bootstrap}
%{__aclocal} -I m4-tmp
%endif
%{__autoconf}
%if %{without bootstrap}
%{__automake}
%endif

# NOTE: _target macro becames "noarch" if ./builder passes --target=noarch, so
# be sure use plain /usr/bin/rpmbuild.
%configure \
	--host=%{_host} \
	--build=%{_host}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgvdatadir=%{_datadir}/automake

cp -a aclocal.1 automake.1 $RPM_BUILD_ROOT%{_mandir}/man1

# not needed when dir/files are handled by package system
%{__rm} $RPM_BUILD_ROOT%{_datadir}/aclocal/README

rm -f $RPM_BUILD_ROOT%{_infodir}/dir*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/aclocal*
%attr(755,root,root) %{_bindir}/automake*
%{_infodir}/automake.info*
%{_infodir}/automake-history.info*
%{_mandir}/man1/aclocal.1*
%{_mandir}/man1/aclocal-1.14.1*
%{_mandir}/man1/automake.1*
%{_mandir}/man1/automake-1.14.1*

%{_datadir}/aclocal-1.14
%dir %{_datadir}/automake
%{_datadir}/automake/am
%{_datadir}/automake/Automake
%{_datadir}/automake/COPYING
%{_datadir}/automake/INSTALL
%{_datadir}/automake/texinfo.tex
%attr(755,root,root) %{_datadir}/automake/ar-lib
%attr(755,root,root) %{_datadir}/automake/compile
%attr(755,root,root) %{_datadir}/automake/config.guess
%attr(755,root,root) %{_datadir}/automake/config.sub
%attr(755,root,root) %{_datadir}/automake/depcomp
%attr(755,root,root) %{_datadir}/automake/install-sh
%attr(755,root,root) %{_datadir}/automake/mdate-sh
%attr(755,root,root) %{_datadir}/automake/missing
%attr(755,root,root) %{_datadir}/automake/mkinstalldirs
%attr(755,root,root) %{_datadir}/automake/py-compile
%attr(755,root,root) %{_datadir}/automake/tap-driver.pl
%attr(755,root,root) %{_datadir}/automake/tap-driver.sh
%attr(755,root,root) %{_datadir}/automake/test-driver
%attr(755,root,root) %{_datadir}/automake/ylwrap
%changelog
* Mon Jun 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/automake.git;a=log;h=master

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> 6ea1dce
- release 2 (by relup.sh)

* Mon Jun 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 40d403e
- updated to 1.14 (1.13.x left on automake-1.13 branch; note: first build requires --with bootstrap)
- updated no_versioned_dir patch

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 55dd9a4
- updated to 1.13.4

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 28c4733
- updated to 1.13.3

* Fri May 17 2013 Jakub Bogusz <qboosh@pld-linux.org> b794edd
- updated to 1.13.2

* Wed Jan 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 70921c5
- updated to 1.13.1 (note: some backward compatibility macros/options have been dropped;
   automake 1.12.x left on automake-1.12 branch)
- updated info patch

* Tue Dec 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 14228f8
- updated to 1.12.6

* Thu Nov 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 110393b
- updated to 1.12.5

* Wed Sep 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 14b2ea7
- updated to 1.12.4

* Wed Aug 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> fe1e477
- updated to 1.12.3

* Tue Jul 10 2012 Adam Gołębiowski <adamg@pld-linux.org> 792a4f4
- updated to 1.12.2 (fixes CVE-2012-3386)

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> a2ed334
- thinko

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a574fb
- updated to 1.12.1
- updated no_versioned_dir patch

* Wed May 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 0ed98c4
- updated to 1.12
- updated info patch

* Mon Apr 16 2012 Jakub Bogusz <qboosh@pld-linux.org> ae4b0ff
- updated to 1.11.5

* Tue Apr 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 57d9499
- up to 1.11.4

* Sun Apr 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> feb3c68
- rel 2; fix missing am__py_compile in some cases

* Thu Feb 02 2012 Jakub Bogusz <qboosh@pld-linux.org> efa0465
- updated to 1.11.3
- updated info patch
- removed obsolete git patch

* Sat Jan 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e91f42a
- rel 2; install: pkglibexec_SCRIPTS is a valid prefix/primary combination

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 09dffca
- updated to 1.11.2
- updated info patch

